/*
 * \brief  Standard implementation of pager object
 * \author Martin Stein
 * \date   2013-11-04
 */

/*
 * Copyright (C) 2013 Genode Labs GmbH
 *
 * This file is part of the Genode OS framework, which is distributed
 * under the terms of the GNU General Public License version 2.
 */

/* Genode includes */
#include <base/printf.h>

/* core includes */
#include <pager.h>

using namespace Genode;


void Pager_object::wake_up()
{
	PWRN("user-level page fault handling is not supported on this platform");
}


void Pager_object::unresolved_page_fault_occurred()
{
	state.unresolved_page_fault = true;
}
